import { WidgetSettings, WidgetCallbacks, ThemeColors, DefaultValues, Signature, SmartContract, CurrencyReference } from '@swipelux/onramp-core';

declare class SwipeluxWidget {
    private settings;
    private callbacks;
    private container;
    private iframe;
    private iframeManager;
    constructor(settings: WidgetSettings, callbacks?: WidgetCallbacks);
    mount(container: HTMLElement): void;
    unmount(): void;
    isMounted(): boolean;
}

declare class SwipeluxWidgetElement extends HTMLElement {
    private iframe;
    private iframeManager?;
    private settings;
    static get observedAttributes(): string[];
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    private parseComplexAttribute;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    private initializeWidget;
    setColors(colors: Partial<ThemeColors>): void;
    setDefaultValues(values: DefaultValues): void;
    setSignature(signature: Signature): void;
    setSmartContractData(data: SmartContract): void;
    setExternalId(id: string | (() => Promise<string>)): void;
    setReceiveCurrency(currency: string | CurrencyReference): void;
}

export { SwipeluxWidget, SwipeluxWidgetElement };
